Add Shared Voice
POSThttps://api.knoxstudio.ai/v1/voices/add/:public_user_id/:voice_id
Copy a shared voice into your workspace. new_name is required. Not billed.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| public_user_id | String | Yes | Public user ID of the sharer. |
| voice_id | String | Yes | Voice ID. |
Request Headers
| Name | Type | Required | Description |
|---|---|---|---|
| Authorization | String | Yes | Bearer <token> Knox API key. xi-api-key is also accepted. |
| Content-Type | String | Yes | application/json |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
| new_name | String | Yes | Name shown in your voice list. |
cURL Example
curl -X POST https://api.knoxstudio.ai/v1/voices/add/public_user_id/voice_id \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"new_name":"Library Voice"}'
Response
Success Response (200)
JSON with the new workspace voice_id.
Error Responses
Validation uses HTTP 422:
{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}
Other errors use { "detail": "message" }.
| Status | When |
|---|---|
400 | WebSocket path called without Upgrade: websocket. |
401 | Missing or invalid API key. |
402 | Insufficient credits. |
403 | Token is not allowed to use this model. |
404 | Resource not found. |
422 | Validation error. |
429 | Rate limit exceeded. |
500 | Internal server error. |